Loading...
Searching...
No Matches
named_enumeration Interface Reference
Argument Parser

Checks whether the free function seqan3::enumeration_names can be called on the type. More...

`#include <seqan3/argument_parser/auxiliary.hpp>`

## Detailed Description

Checks whether the free function seqan3::enumeration_names can be called on the type.

Template Parameters

  option_type | The type to check.

### Requirements

- A instance of seqan3::enumeration_names<option_type> must exist and be of type std::unordered_map<std::string, option_type>.

Remarks
  For a complete overview, take a look at Argument Parser

The documentation for this interface was generated from the following file:

- auxiliary.hpp

Hide me